From: Jonas Bernoulli <jonas@bernoul.li>
To: notmuch@notmuchmail.org
Subject: [PATCH v2 23/23] test: Fix indentation
Date: Thu, 6 Aug 2020 09:19:10 +0200 [thread overview]
Message-ID: <20200806071910.10369-24-jonas@bernoul.li> (raw)
In-Reply-To: <20200806071910.10369-1-jonas@bernoul.li>
Fix it to consistently match the style we have configured in
".dir-locals.el".
---
test/test-lib.sh | 36 ++++++++++++++++++------------------
1 file changed, 18 insertions(+), 18 deletions(-)
diff --git a/test/test-lib.sh b/test/test-lib.sh
index 31c858d1..167fa621 100644
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -136,16 +136,16 @@ add_gpgsm_home ()
at_exit_function _gnupg_exit
mkdir -p -m 0700 "$GNUPGHOME"
openssl pkcs12 -export -passout pass: -inkey "$NOTMUCH_SRCDIR/test/smime/key+cert.pem" \
- < "$NOTMUCH_SRCDIR/test/smime/test.crt" | \
- gpgsm --batch --no-tty --no-common-certs-import --pinentry-mode=loopback --passphrase-fd 3 \
- --disable-dirmngr --import >"$GNUPGHOME"/import.log 2>&1 3<<<''
+ < "$NOTMUCH_SRCDIR/test/smime/test.crt" | \
+ gpgsm --batch --no-tty --no-common-certs-import --pinentry-mode=loopback --passphrase-fd 3 \
+ --disable-dirmngr --import >"$GNUPGHOME"/import.log 2>&1 3<<<''
fpr=$(gpgsm --batch --list-key test_suite@notmuchmail.org | sed -n 's/.*fingerprint: //p')
echo "$fpr S relax" >> "$GNUPGHOME/trustlist.txt"
gpgsm --quiet --batch --no-tty --no-common-certs-import --disable-dirmngr --import < $NOTMUCH_SRCDIR/test/smime/ca.crt
echo "4D:E0:FF:63:C0:E9:EC:01:29:11:C8:7A:EE:DA:3A:9A:7F:6E:C1:0D S" >> "$GNUPGHOME/trustlist.txt"
printf '%s::1\n' include-certs disable-crl-checks | gpgconf --output /dev/null --change-options gpgsm
gpgsm --batch --no-tty --no-common-certs-import --pinentry-mode=loopback --passphrase-fd 3 \
- --disable-dirmngr --import "$NOTMUCH_SRCDIR/test/smime/bob.p12" >>"$GNUPGHOME"/import.log 2>&1 3<<<''
+ --disable-dirmngr --import "$NOTMUCH_SRCDIR/test/smime/bob.p12" >>"$GNUPGHOME"/import.log 2>&1 3<<<''
test_debug "cat $GNUPGHOME/import.log"
}
@@ -394,8 +394,8 @@ emacs_fcc_message ()
local nmn_args subject body
nmn_args=''
while [[ "$1" =~ ^-- ]]; do
- nmn_args="$nmn_args $1"
- shift
+ nmn_args="$nmn_args $1"
+ shift
done
subject="$1"
body="$2"
@@ -405,7 +405,7 @@ emacs_fcc_message ()
test_emacs \
"(let ((message-send-mail-function (lambda () t))
- (mail-host-address \"example.com\"))
+ (mail-host-address \"example.com\"))
(notmuch-mua-mail)
(message-goto-to)
(insert \"test_suite@notmuchmail.org\nDate: 01 Jan 2000 12:00:00 -0000\")
@@ -524,9 +524,9 @@ test_expect_equal_json () {
# override Python's stdio encoding defaults.
script='import json, sys; json.dump(json.load(sys.stdin), sys.stdout, sort_keys=True, indent=4)'
output=$(echo "$1" | PYTHONIOENCODING=utf-8 $NOTMUCH_PYTHON -c "$script" \
- || echo "$1")
+ || echo "$1")
expected=$(echo "$2" | PYTHONIOENCODING=utf-8 $NOTMUCH_PYTHON -c "$script" \
- || echo "$2")
+ || echo "$2")
shift 2
test_expect_equal "$output" "$expected" "$@"
}
@@ -540,15 +540,15 @@ test_valid_json () {
# Sort the top-level list of JSON data from stdin.
test_sort_json () {
PYTHONIOENCODING=utf-8 $NOTMUCH_PYTHON -c \
- "import sys, json; json.dump(sorted(json.load(sys.stdin)),sys.stdout)"
+ "import sys, json; json.dump(sorted(json.load(sys.stdin)),sys.stdout)"
}
# test for json objects:
# read the source of test/json_check_nodes.py (or the output when
# invoking it without arguments) for an explanation of the syntax.
test_json_nodes () {
- local output
- exec 1>&6 2>&7 # Restore stdout and stderr
+ local output
+ exec 1>&6 2>&7 # Restore stdout and stderr
if [ -z "$inside_subtest" ]; then
error "bug in the test script: test_json_eval without test_begin_subtest"
fi
@@ -662,7 +662,7 @@ notmuch_json_show_sanitize ()
-e 's|"filename": "signature.asc",||g' \
-e 's|"filename": \["/[^"]*"\],|"filename": \["YYYYY"\],|g' \
-e 's|"timestamp": 97.......|"timestamp": 42|g' \
- -e 's|"content-length": [1-9][0-9]*|"content-length": "NONZERO"|g'
+ -e 's|"content-length": [1-9][0-9]*|"content-length": "NONZERO"|g'
}
notmuch_emacs_error_sanitize ()
@@ -673,7 +673,7 @@ notmuch_emacs_error_sanitize ()
for file in "$@"; do
echo "=== $file ==="
cat "$file"
- done | sed \
+ done | sed \
-e 's/^\[.*\]$/[XXX]/' \
-e "s|^\(command: \)\{0,1\}/.*/$command|\1YYY/$command|"
}
@@ -929,8 +929,8 @@ test_expect_code () {
# but is a prefix that can be used in the test script, like:
#
# test_expect_success 'complain and die' '
-# do something &&
-# do something else &&
+# do something &&
+# do something else &&
# test_must_fail git checkout ../outerspace
# '
#
@@ -1020,8 +1020,8 @@ export NOTMUCH_CONFIG=$NOTMUCH_CONFIG
# Here's what we are using here:
#
-# --quick Use minimal customization. This implies --no-init-file,
-# --no-site-file and (emacs 24) --no-site-lisp
+# --quick Use minimal customization. This implies --no-init-file,
+# --no-site-file and (emacs 24) --no-site-lisp
#
# --directory Ensure that the local elisp sources are found
#
--
2.28.0
next prev parent reply other threads:[~2020-08-06 7:21 UTC|newest]
Thread overview: 108+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-07-26 16:57 [PATCH 00/23] A create number of cosmetic changes Jonas Bernoulli
2020-07-26 16:57 ` [PATCH 01/23] emacs: Shorten long lines Jonas Bernoulli
2020-07-27 17:52 ` Tomi Ollila
2020-07-27 20:13 ` Jonas Bernoulli
2020-07-26 16:57 ` [PATCH 02/23] emacs: Remove excess empty lines Jonas Bernoulli
2020-07-27 18:00 ` Tomi Ollila
2020-07-27 20:25 ` Jonas Bernoulli
2020-07-26 16:57 ` [PATCH 03/23] emacs: Fix indentation Jonas Bernoulli
2020-07-30 20:07 ` Tomi Ollila
2020-08-01 20:37 ` Jonas Bernoulli
2020-07-26 16:57 ` [PATCH 04/23] emacs: Closing parenthesis go on the same line Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 05/23] emacs: Only set one variable per setq form Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 06/23] emacs: Use cl-incf where appropriate Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 07/23] emacs: Use 'and' instead of 'when' when the return value matters Jonas Bernoulli
2020-07-26 21:27 ` Sean Whitton
2020-07-26 22:02 ` Jonas Bernoulli
2020-07-27 16:43 ` Sean Whitton
2020-07-27 20:32 ` Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 08/23] emacs: Use 'unless' instead of 'when' and 'not' Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 09/23] emacs: Use 'when' instead of 'if' when there is no ELSE part Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 10/23] emacs: Use one or three lines for 'if' forms Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 11/23] emacs: Extend face to window edge again Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 12/23] emacs: Fix some function declarations Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 13/23] emacs: No longer define notmuch-hello-mode-map as a function Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 14/23] emacs: notmuch-poll: Let the user know we are polling Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 15/23] emacs: Use makefile-gmake-mode in Makefile*s Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 16/23] emacs: Improve doc-strings Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 17/23] emacs: Autoload notmuch-jump-search only once Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 18/23] emacs: Autoload notmuch-jump using an autoload cookie Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 19/23] emacs: Various cosmetic changes Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 20/23] emacs: Increase consistency of library headers Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 21/23] Fix typos Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 22/23] .dir-locals.el: Set variables for correct "shell" mode Jonas Bernoulli
2020-07-26 16:58 ` [PATCH 23/23] test: Fix indentation Jonas Bernoulli
2020-07-30 20:36 ` [PATCH 00/23] A create number of cosmetic changes Tomi Ollila
2020-08-01 20:48 ` [PATCH 00/23] A great " Jonas Bernoulli
2020-08-03 17:32 ` David Bremner
2020-08-06 7:18 ` [PATCH v2 " Jonas Bernoulli
2020-08-06 7:18 ` [PATCH v2 01/23] emacs: Shorten long lines Jonas Bernoulli
2020-08-06 7:18 ` [PATCH v2 02/23] emacs: Remove excess empty lines Jonas Bernoulli
2020-08-06 7:18 ` [PATCH v2 03/23] emacs: Fix indentation Jonas Bernoulli
2020-08-06 7:18 ` [PATCH v2 04/23] emacs: Closing parenthesis go on the same line Jonas Bernoulli
2020-08-06 7:18 ` [PATCH v2 05/23] emacs: Only set one variable per setq form Jonas Bernoulli
2020-08-06 7:18 ` [PATCH v2 06/23] emacs: Use cl-incf where appropriate Jonas Bernoulli
2020-08-06 11:37 ` David Bremner
2020-08-06 13:37 ` Jonas Bernoulli
2020-08-07 17:03 ` Tomi Ollila
2020-08-07 17:22 ` David Bremner
2020-08-06 7:18 ` [PATCH v2 07/23] emacs: Use 'and' instead of 'when' when the return value matters Jonas Bernoulli
2020-08-06 7:18 ` [PATCH v2 08/23] emacs: Use 'unless' instead of 'when' and 'not' Jonas Bernoulli
2020-08-06 7:18 ` [PATCH v2 09/23] emacs: Use 'when' instead of 'if' when there is no ELSE part Jonas Bernoulli
2020-08-06 7:18 ` [PATCH v2 10/23] emacs: Use one or three lines for 'if' forms Jonas Bernoulli
2020-08-06 7:18 ` [PATCH v2 11/23] emacs: Extend face to window edge again Jonas Bernoulli
2020-08-06 7:18 ` [PATCH v2 12/23] emacs: Fix some function declarations Jonas Bernoulli
2020-08-06 7:19 ` [PATCH v2 13/23] emacs: No longer define notmuch-hello-mode-map as a function Jonas Bernoulli
2020-08-06 7:19 ` [PATCH v2 14/23] emacs: notmuch-poll: Let the user know we are polling Jonas Bernoulli
2020-08-06 7:19 ` [PATCH v2 15/23] emacs: Use makefile-gmake-mode in Makefile*s Jonas Bernoulli
2020-08-06 7:19 ` [PATCH v2 16/23] emacs: Improve doc-strings Jonas Bernoulli
2020-08-06 7:19 ` [PATCH v2 17/23] emacs: Autoload notmuch-jump-search only once Jonas Bernoulli
2020-08-06 7:19 ` [PATCH v2 18/23] emacs: Autoload notmuch-jump using an autoload cookie Jonas Bernoulli
2020-08-06 7:19 ` [PATCH v2 19/23] emacs: Various cosmetic changes Jonas Bernoulli
2020-08-06 7:19 ` [PATCH v2 20/23] emacs: Increase consistency of library headers Jonas Bernoulli
2020-08-06 7:19 ` [PATCH v2 21/23] Fix typos Jonas Bernoulli
2020-08-06 7:19 ` [PATCH v2 22/23] .dir-locals.el: Set variables for correct "shell" mode Jonas Bernoulli
2020-08-06 7:19 ` Jonas Bernoulli [this message]
2020-08-08 11:49 ` [PATCH v3 00/34] A great number of cosmetic changes Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 01/34] emacs: Shorten long lines Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 02/34] emacs: Remove excess empty lines Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 03/34] emacs: Fix indentation Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 04/34] emacs: Closing parenthesis go on the same line Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 05/34] emacs: Only set one variable per setq form Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 06/34] emacs: Use 'and' instead of 'when' when the return value matters Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 07/34] emacs: Use 'unless' instead of 'when' and 'not' Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 08/34] emacs: Use 'when' instead of 'if' when there is no ELSE part Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 09/34] emacs: Use one or three lines for 'if' forms Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 10/34] emacs: Extend face to window edge again Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 11/34] emacs: Fix some function declarations Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 12/34] emacs: No longer define notmuch-hello-mode-map as a function Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 13/34] emacs: notmuch-poll: Let the user know we are polling Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 14/34] emacs: Use makefile-gmake-mode in Makefile*s Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 15/34] emacs: Improve doc-strings Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 16/34] emacs: Autoload notmuch-jump-search only once Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 17/34] emacs: Autoload notmuch-jump using an autoload cookie Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 18/34] emacs: Various cosmetic changes Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 19/34] emacs: Increase consistency of library headers Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 20/34] Fix typos Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 21/34] .dir-locals.el: Set variables for correct "shell" mode Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 22/34] test: Fix indentation Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 23/34] .gitignore: Sort using sort-lines Jonas Bernoulli
2020-08-08 11:49 ` [PATCH v3 24/34] emacs: Provide 'rstdoc' feature at end of file Jonas Bernoulli
2020-08-08 11:50 ` [PATCH v3 25/34] emacs: Add end-of-file line to libraries that lack it Jonas Bernoulli
2020-08-08 11:50 ` [PATCH v3 26/34] NEWS: Add stub for 0.31 Jonas Bernoulli
2020-08-08 11:50 ` [PATCH v3 27/34] NEWS: At least Emacs 25.1 is required now Jonas Bernoulli
2020-08-08 11:50 ` [PATCH v3 28/34] emacs: Use cl-incf where appropriate Jonas Bernoulli
2020-08-08 11:50 ` [PATCH v3 29/34] emacs: Remove notmuch-setq-local Jonas Bernoulli
2020-08-08 11:50 ` [PATCH v3 30/34] emacs: Remove notmuch-read-char-choice Jonas Bernoulli
2020-08-08 11:50 ` [PATCH v3 31/34] emacs: Drop old advices that were only need for Emacs 23 Jonas Bernoulli
2020-08-08 11:50 ` [PATCH v3 32/34] emacs: Do not abuse advice to monkey patch while testing Jonas Bernoulli
2020-08-08 11:50 ` [PATCH v3 33/34] emacs: Use new advice mechanism do advice mm-shr Jonas Bernoulli
2020-08-08 11:50 ` [PATCH v3 34/34] try-emacs-mua: Trim `require' advice for Emacs 25 Jonas Bernoulli
2020-08-09 7:15 ` [PATCH v3 00/34] A great number of cosmetic changes Tomi Ollila
2020-08-09 7:48 ` Jonas Bernoulli
2020-08-09 12:09 ` David Bremner
2020-08-09 12:41 ` Đoàn Trần Công Danh
2020-08-09 13:21 ` Jonas Bernoulli
2020-08-09 13:32 ` Jonas Bernoulli
2020-08-09 14:49 ` Tomi Ollila
2020-08-10 1:25 ` David Bremner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
List information: https://notmuchmail.org/
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20200806071910.10369-24-jonas@bernoul.li \
--to=jonas@bernoul.li \
--cc=notmuch@notmuchmail.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
Code repositories for project(s) associated with this public inbox
https://yhetil.org/notmuch.git/
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).